| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USBD Endpoint Events
USB Device Interface

The USB Device driver generates Endpoint call back events that are notified via the function ARM_USBD_SignalEndpointEvent. More...

## Macros

#define | ARM_USBD_EVENT_SETUP (1UL << 0)
| SETUP Packet.
#define | ARM_USBD_EVENT_OUT (1UL << 1)
| OUT Packet(s)
#define | ARM_USBD_EVENT_IN (1UL << 2)
| IN Packet(s)

## Description

The USB Device driver generates Endpoint call back events that are notified via the function ARM_USBD_SignalEndpointEvent.

This section provides the event values for the ARM_USBD_SignalEndpointEvent callback function.

The following call back notification events are generated:

## Macro Definition Documentation

#define ARM_USBD_EVENT_IN (1UL << 2)

IN Packet(s)

#define ARM_USBD_EVENT_OUT (1UL << 1)

OUT Packet(s)

#define ARM_USBD_EVENT_SETUP (1UL << 0)

SETUP Packet.